return {
  'nvim-telescope/telescope.nvim',
  dependencies = {
    'nvim-lua/plenary.nvim',
  },
  config = function()
    local telescope = require('telescope')
    telescope.setup({
      defaults = {
        mappings = {
          i = {
            ['<C-s>'] = 'select_horizontal',
            ['<C-h>'] = 'preview_scrolling_left',
            ['<C-l>'] = 'preview_scrolling_right',
          },
          n = {
            ['<C-s>'] = 'select_horizontal',
            ['<C-h>'] = 'preview_scrolling_left',
            ['<C-l>'] = 'preview_scrolling_right',
          }
        },
      },
    })

    -- TODO: Add more mappings?
    local opts = { noremap = true }
    vim.keymap.set('n', '<leader>ff', ':Telescope find_files<CR>', opts)
    vim.keymap.set('n', '<leader>gf', ':Telescope git_files<CR>', opts)
    vim.keymap.set('n', '<leader>lg', ':Telescope live_grep<CR>', opts)
    vim.keymap.set('n', '<leader>b', ':Telescope buffers<CR>', opts)
    vim.keymap.set('n', '<leader>ht', ':Telescope help_tags<CR>', opts)

  end
}
